Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianMemberTree

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.mondrian.MondrianMemberTree

All Implemented Interfaces:
  Extension, MemberTree

    public class MondrianMemberTree

extends ExtensionSupport
implements MemberTree

Implementation of the DrillExpand Extension for Mondrian Data Source.

Nested Class Summary

Nested classes/interfaces inherited from interface com.tonbeller.jpivot.olap.navi.MemberTree
`MemberTree.TooManyMembersException`

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.navi.MemberTree
`ID`

Constructor Summary
`MondrianMemberTree()` Constructor sets ID

Method Summary
`Member[]` | `getChildren(Member member)`
`Member` | `getParent(Member member)`
`Member[]` | `getRootMembers(Hierarchy hier)`
`boolean` | `hasChildren(Member member)`

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### MondrianMemberTree

    public MondrianMemberTree()

  Constructor sets ID

Method Detail

### getRootMembers

    public Member[] getRootMembers(Hierarchy hier)

  Specified by:
    `getRootMembers` in interface `MemberTree`
  Returns:
    the root members of a hierarchy. This is for example the "All" member or the list of measures.

### hasChildren

    public boolean hasChildren(Member member)

  Specified by:
    `hasChildren` in interface `MemberTree`
  Returns:
    true if the member has children

### getChildren

    public Member[] getChildren(Member member)

  Specified by:
    `getChildren` in interface `MemberTree`
  Returns:
    the children of the member

### getParent

    public Member getParent(Member member)

  Specified by:
    `getParent` in interface `MemberTree`
  Returns:
    the parent of member or null, if this is a root member

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD